restinio::details Namespace Reference

## Namespaces

namespace | valid_request_handler_type_check

## Classes

struct | actual_request_handler_type_detector
| A metafunction for the detection of type of a request-handler. More...
struct | actual_request_handler_type_detector< autodetect_request_handler_type, Extra_Data_Factory >
| Special version of metafunction actual_request_handler_type_detector for the case of autodetect_request_handler_type. More...
struct | autodetect_request_handler_type
| A special type to be used as indicator that the type of a request handler should be automatically detected. More...
struct | max_parallel_connections_holder_t
| A special type for holding the value of maximum allowed count of parallel connections. More...
struct | max_parallel_connections_holder_t< ::restinio::connection_count_limits::noop_connection_count_limiter_t >
| A specialization of max_parallel_connections_holder for the case when connection count isn't limited. More...
struct | no_address_specified_t
| A special indicator for the case when IP address for a server is not set explicitly. More...

## Typedefs

using | address_variant_t = variant_t< no_address_specified_t, std::string, asio_ns::ip::address >
| A type of variant for holding IP address for a server in various representations. More...

## Functions

template<typename Object >
auto | create_default_unique_object_instance (std::false_type)
| Default instantiation for a specific type. More...
template<typename Object >
auto | create_default_unique_object_instance (std::true_type)
template<typename Object >
auto | create_default_shared_object_instance (std::false_type)
| Default instantiation for a specific type. More...
template<typename Object >
auto | create_default_shared_object_instance (std::true_type)

## Typedef Documentation

## address_variant_t

using restinio::details::address_variant_t = typedef variant_t< no_address_specified_t, std::string, asio_ns::ip::address >

A type of variant for holding IP address for a server in various representations.

Since
  v.0.6.11

Definition at line 460 of file settings.hpp.

## Function Documentation

## create_default_shared_object_instance() [1/2]

template<typename Object >

auto restinio::details::create_default_shared_object_instance | ( | std::false_type |  | ) |

inline

Default instantiation for a specific type.

Definition at line 49 of file settings.hpp.

## create_default_shared_object_instance() [2/2]

template<typename Object >

auto restinio::details::create_default_shared_object_instance | ( | std::true_type |  | ) |

inline

Definition at line 56 of file settings.hpp.

## create_default_unique_object_instance() [1/2]

template<typename Object >

auto restinio::details::create_default_unique_object_instance | ( | std::false_type |  | ) |

inline

Default instantiation for a specific type.

Definition at line 34 of file settings.hpp.

## create_default_unique_object_instance() [2/2]

template<typename Object >

auto restinio::details::create_default_unique_object_instance | ( | std::true_type |  | ) |

inline

Definition at line 41 of file settings.hpp.